t {base} | R Documentation

## Matrix Transpose

### Description

Given a matrix or `data.frame` `x`, `t` returns the transpose of `x`.

### Usage

    t(x)

### Arguments

`x` | a matrix or data frame, typically.

### Details

This is a generic function for which methods can be written. The description here applies to the default and `"data.frame"` methods.

A data frame is first coerced to a matrix: see `as.matrix`. When `x` is a vector, it is treated as a column, i.e., the result is a 1-row matrix.

### Value

A matrix, with `dim` and `dimnames` constructed appropriately from those of `x`, and other attributes except names copied across.

### Note

The conjugate transpose of a complex matrix A, denoted A^H or A^*, is computed as `Conj(t(A))`.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`aperm` for permuting the dimensions of arrays.

### Examples

    a <- matrix(1:30, 5, 6)
    ta <- t(a) ##-- i.e.,  a[i, j] == ta[j, i] for all i,j :
    for(j in seq(ncol(a)))
      if(! all(a[, j] == ta[j, ])) stop("wrong transpose")

[Package base version 3.4.2 Index]